import React, { useState } from 'react';
import Router from './router';
import { ConfigProvider } from 'antd';
import zhCN from 'antd/lib/locale/zh_CN';

import { instance } from './utils/request';
import { UseRequestProvider } from 'ahooks';
export const { Provider, Consumer } = React.createContext({
	userState: undefined,
	changeUserState: () => 11,
});

const app: React.FC = () => {
	return (
		<ConfigProvider locale={zhCN}>
			<UseRequestProvider
				value={{
					requestMethod: instance,
				}}>
				<Router></Router>
			</UseRequestProvider>
		</ConfigProvider>
	);
};
export default app;
